import 'base_model.dart';

class Checkpoint extends BaseModel {
  Checkpoint({required String name, required int pathIndex})
      : super(name: name, pathIndex: pathIndex);

  factory Checkpoint.fromJson(Map<String, dynamic> json) {
    return Checkpoint(
      name: json['name'] as String,
      pathIndex: json['pathIndex'] as int,
    );
  }
}
